Subject: bug#9535: sunpro and -library=stdcxx4

From: Marc Glisse <[email-masked]>
Date: Thu, 11 Dec 2014 17:24:09 +0100 (CET)

On Sat, 17 Sep 2011, Marc Glisse wrote:

> there was a commit in 2006 to support the sunpro option -library=stlport4:
>
> 2006-08-01  Albert Chin <[email-masked]>
>
>        * libltdl/m4/libtool.m4 (_LT_SYS_HIDDEN_LIBDEPS) [ solaris ]:
>        Don't set $postdeps to "-lCstd -lCrun" if
>        "-library=stlport4" set in CXXFLAGS as stlport4 C++
>        library incompatible with Cstd C++ library. Use
>        '-library=Cstd -library=Crun' instead of '-lCstd -lCrun'.
>
>
> This compiler now also supports one more alternative (solaris-only): 
> -library=stdcxx4
> I assume it should receive the same treatment as -library=stlport4 ?

Looking at http://git.savannah.gnu.org/cgit/libtool.git/tree/m4/libtool.m4 
the problem still seems present. Since then, several new ways of getting 
an incompatible ABI have appeared, the most important one being 
-std=c++11. Any -std=c++XX will give a gnu abi, as will -compat=g.

If you don't want to maintain complicated volatile conditions, it would be 
simpler to remove the whole block of code that tries to add -library=Cstd 
-library=Crun. It is easier for users to add -library=Cstd if they need it 
than remove it when it breaks things.

-- 
Marc Glisse